/*******************************************************************************
 * Scout generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class Scout extends Pawn
    transient
    native(Pawn)
    config(Game)
    notplaceable
    hidecategories(Navigation);

struct native PathSizeInfo
{
    var name Desc;
    var float Radius;
    var float Height;
    var float CrouchHeight;
    var byte PathColor;

    structdefaultproperties
    {
        Desc=None
        Radius=0.0
        Height=0.0
        CrouchHeight=0.0
        PathColor=0
    }
};

var array<PathSizeInfo> PathSizes;
var float TestJumpZ;
var float TestGroundSpeed;
var float TestMaxFallSpeed;
var float TestFallSpeed;
var const float MaxLandingVelocity;
var int MinNumPlayerStarts;
var class<ReachSpec> DefaultReachSpecClass;
var array<Color> EdgePathColors;
var float NavMeshGen_StepSize;
var float NavMeshGen_EntityHalfHeight;
var float NavMeshGen_StartingHeightOffset;
var float NavMeshGen_MaxDropHeight;
var float NavMeshGen_MaxStepHeight;
var float NavMeshGen_VertZDeltaSnapThresh;
var float NavMeshGen_MinPolyArea;
var float NavMeshGen_BorderBackfill_CheckDist;
var float NavMeshGen_MinMergeDotAreaThreshold;
var float NavMeshGen_MinMergeDotSmallArea;
var float NavMeshGen_MinMergeDotLargeArea;
var float NavMeshGen_MaxPolyHeight;
var float NavMeshGen_HeightMergeThreshold;
var float NavMeshGen_EdgeMaxDelta;
var float NavMeshGen_MaxGroundCheckSize;
var float NavMeshGen_MinEdgeLength;
var bool NavMeshGen_ExpansionDoObstacleMeshSimplification;
var() bool bHightlightOneWayReachSpecs;
var float MinMantleFallDist;
var float MaxMantleFallDist;
var float MinMantleLateralDist;
var float MaxMantleLateralDist;
var float MaxMantleFallTime;

simulated event PreBeginPlay()
{
    // End:0x13
    if(bCollideActors)
    {
        SetCollision(false, false);
    }
    //return;    
}

defaultproperties
{
    PathSizes(0)=(Desc=Human,Radius=48.0,Height=80.0,CrouchHeight=0.0,PathColor=0)
    PathSizes(1)=(Desc=Common,Radius=72.0,Height=100.0,CrouchHeight=0.0,PathColor=0)
    PathSizes(2)=(Desc=Max,Radius=120.0,Height=120.0,CrouchHeight=0.0,PathColor=0)
    PathSizes(3)=(Desc=Vehicle,Radius=260.0,Height=120.0,CrouchHeight=0.0,PathColor=0)
    TestJumpZ=420.0
    TestGroundSpeed=600.0
    TestMaxFallSpeed=2500.0
    TestFallSpeed=1200.0
    MinNumPlayerStarts=1
    DefaultReachSpecClass=class'ReachSpec'
    EdgePathColors=EdgePathColors(0)=
/* Exception thrown while deserializing EdgePathColors
System.ArgumentOutOfRangeException: Der Index lag au?erhalb des Bereichs. Er darf nicht negativ und kleiner als die Sammlung sein.
Parametername: index
   bei System.ThrowHelper.ThrowArgumentOutOfRangeException(ExceptionArgument argument, ExceptionResource resource)
   bei UELib.UnrealStreamImplementations.ReadName(IUnrealStream stream)
   bei UELib.Core.UDefaultProperty.Deserialize()
   bei UELib.Core.UDefaultProperty.DeserializeDefaultPropertyValue(PropertyType type, DeserializeFlags& deserializeFlags) */
    EdgePathColors(1)=(NavMeshGen_StepSize=30.0,NavMeshGen_EntityHalfHeight=72.0,NavMeshGen_StartingHeightOffset=65.0,NavMeshGen_MaxDropHeight=60.0,NavMeshGen_MaxStepHeight=35.0,NavMeshGen_VertZDeltaSnapThresh=20.0,NavMeshGen_MinPolyArea=25.0,NavMeshGen_BorderBackfill_CheckDist=70.0,NavMeshGen_MinMergeDotAreaThreshold=2.0,NavMeshGen_MinMergeDotLargeArea=0.950,NavMeshGen_MaxPolyHeight=160.0,NavMeshGen_HeightMergeThreshold=10.0,NavMeshGen_EdgeMaxDelta=2.0,NavMeshGen_MaxGroundCheckSize=30.0,NavMeshGen_MinEdgeLength=7.0,NavMeshGen_ExpansionDoObstacleMeshSimplification=true,AccelRate=1.0,CylinderComponent=CylinderComponent'Default__Scout.CollisionCylinder',Components=(CylinderComponent'Default__Scout.CollisionCylinder'),RemoteRole=ENetRole.ROLE_None,bCollideActors=false,bCollideWorld=false,bBlockActors=false,bProjTarget=false,bPathColliding=true,CollisionComponent=CylinderComponent'Default__Scout.CollisionCylinder')
    
/* Exception thrown while deserializing EdgePathColors
End of defaultproperties stream reached...
UELib.DeserializationException: End of defaultproperties stream reached...
   bei UELib.Core.UDefaultProperty.DeserializeDefaultPropertyValue(PropertyType type, DeserializeFlags& deserializeFlags)
   bei UELib.Core.UDefaultProperty.DeserializeDefaultPropertyValue(PropertyType type, DeserializeFlags& deserializeFlags) */
    NavMeshGen_StepSize=30.0
    NavMeshGen_EntityHalfHeight=72.0
    NavMeshGen_StartingHeightOffset=65.0
    NavMeshGen_MaxDropHeight=60.0
    NavMeshGen_MaxStepHeight=35.0
    NavMeshGen_VertZDeltaSnapThresh=20.0
    NavMeshGen_MinPolyArea=25.0
    NavMeshGen_BorderBackfill_CheckDist=70.0
    NavMeshGen_MinMergeDotAreaThreshold=2.0
    NavMeshGen_MinMergeDotLargeArea=0.950
    NavMeshGen_MaxPolyHeight=160.0
    NavMeshGen_HeightMergeThreshold=10.0
    NavMeshGen_EdgeMaxDelta=2.0
    NavMeshGen_MaxGroundCheckSize=30.0
    NavMeshGen_MinEdgeLength=7.0
    NavMeshGen_ExpansionDoObstacleMeshSimplification=true
    AccelRate=1.0
    begin object name=CollisionCylinder class=CylinderComponent
        ReplacementPrimitive=none
    object end
    // Reference: CylinderComponent'Default__Scout.CollisionCylinder'
    CylinderComponent=CollisionCylinder
    begin object name=CollisionCylinder class=CylinderComponent
        ReplacementPrimitive=none
    object end
    // Reference: CylinderComponent'Default__Scout.CollisionCylinder'
    Components(0)=CollisionCylinder
    RemoteRole=ENetRole.ROLE_None
    bCollideActors=false
    bCollideWorld=false
    bBlockActors=false
    bProjTarget=false
    bPathColliding=true
    begin object name=CollisionCylinder class=CylinderComponent
        ReplacementPrimitive=none
    object end
    // Reference: CylinderComponent'Default__Scout.CollisionCylinder'
    CollisionComponent=CollisionCylinder
}